% Programa para estimacin de modelos
% Hace uso de los archivos de datos exp_la.mat y exp_cl.mat
% y guarda los parmetros estimados en los archivos ktpto.mat y kctc.mat
%
% Autor: Fernando Morilla

% 1.- Estimacin del modelo en lazo abierto
load exp_la.mat
figure(1)
clf
[k,tp,to]=est_rla(t,entrada,salida)
save ktpto.mat k tp to

% 2.- Estimacin a partir de ciclo lmite con el rel
load exp_cl.mat
figure(2)
clf
[kc,tc]=est_cl(t,control,salida,amplitud,epsilon)
save kctc.mat kc tc